﻿// COPYRIGHT 2014, 2015 by the Open Rails project.
// 
// This file is part of Open Rails.
// 
// Open Rails is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Open Rails is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Rails.  If not, see <http://www.gnu.org/licenses/>.
//
"use strict";
(function() {
    window.addEventListener("load", function load(event) {
        window.removeEventListener("load", load, false);
        init();
    }, false);

    function callbackAfterChartLoaded() {
        //alert("path is loaded");
    }

    function init() {
        // Example on how to load .json files for path charts generated by Contrib.Trackviewer

        //You need to set these if you want to see anything in the header or on a chart.
        PathCharts.headerName = "chartsHeader";
        PathCharts.canvasName = "chartsCanvas";

        //Optional configuration
        PathCharts.pixelsPerKm = 100;
        PathCharts.useImperialUnits = false;
        PathCharts.useRoundedCurvatureCharts = true;

        //Optional description of the relative position of the various
        //elements in the chart
        PathCharts.curvatureSubChartRelativeLeft = 0.0;
        PathCharts.curvatureSubChartRelativeRight = 0.1;
        PathCharts.speedlimitsSubChartRelativeLeft = 0.13;
        PathCharts.speedlimitsSubChartRelativeRight = 0.17;
        PathCharts.distanceSubChartRelativeLeft = 0.17;
        PathCharts.distanceSubChartRelativeRight = 0.25;
        PathCharts.heightSubChartRelativeLeft = 0.25;
        PathCharts.heightSubChartRelativeRight = 0.9;
        PathCharts.milemarkersSubChartRelativeLeft = 0.9;
        PathCharts.milemarkersSubChartRelativeRight = 0.99;

        //Call to the main method (with optional callback)
        // 'pathchartdata' is the object defined in the file with the data, which in this example
        // is the file Scripts/examplepathchartdata.js
        //PathCharts.LoadAndDraw(pathchartdata);
        PathCharts.Draw(pathchartdata, callbackAfterChartLoaded);
    }


}());